Update a ticket comment
curl --request PATCH \
--url https://api.spacebring.com/support/tickets/v1/comment/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"activity": {
"text": "<string>"
}
}
'import requests
url = "https://api.spacebring.com/support/tickets/v1/comment/{id}"
payload = { "activity": { "text": "<string>" } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({activity: {text: '<string>'}})
};
fetch('https://api.spacebring.com/support/tickets/v1/comment/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"activity": {
"createDate": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ticketRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "assigneeUpdated",
"data": {
"attachments": [
{
"key": "<string>",
"mime": "<string>",
"name": "<string>",
"size": 123,
"url": "<string>",
"height": 123,
"width": 123
}
],
"membershipAssignee": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"roleType": "<string>",
"type": "<string>",
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"photoUrl": "<string>",
"blocked": true,
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"surname": "<string>"
}
},
"previousAttributes": {
"membershipAssignee": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"roleType": "<string>",
"type": "<string>",
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"photoUrl": "<string>",
"blocked": true,
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"surname": "<string>"
}
},
"status": "closed",
"userAssignee": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"photoUrl": "<string>",
"blocked": true,
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"surname": "<string>"
},
"userRefAssignee": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"status": "closed",
"text": "<string>",
"userAssignee": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"photoUrl": "<string>",
"blocked": true,
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"surname": "<string>"
},
"userRefAssignee": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"lemAI": {
"name": "<string>",
"photoUrl": "<string>"
},
"membership": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"roleType": "<string>",
"type": "<string>",
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"photoUrl": "<string>",
"blocked": true,
"email": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"surname": "<string>"
}
},
"updateDate": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"type": "<string>"
}Support
Update a ticket comment
Update the text of a support ticket comment. Only the comment author can edit it, and only comments without an attachment.
OAuth
Required scopes:supportPATCH
/
support
/
tickets
/
v1
/
comment
/
{id}
Update a ticket comment
Authorizations
See our authentication documentation for how to authorize your requests
Headers
The id of the network. Required when using bearer token authentication
Path Parameters
The id of the ticket activity.
Body
application/json
Ticket comment activity fields to update.
Show child attributes
Show child attributes
Response
OK
Show child attributes
Show child attributes
Was this page helpful?